Bug 537776 - Sudoers: While adding a user/group, if the checkboxes are 'unset', and if any value in not provided, it results into failure.
Sudoers: While adding a user/group, if the checkboxes are 'unset', and if any...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
x86_64 Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-11-16 05:37 EST by Sunil Kondkar
Modified: 2014-05-16 09:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 09:57:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2009-11-16 05:37:59 EST
Description of problem:

While adding a user/group, if user unchecks the checkboxes for fields- 'Command','Run as user' and 'Tag Specification' and if any value in not provided, it results into failure.

Version-Release number of selected component (if applicable):
version: 1.4.0-SNAPSHOT

How reproducible:


Steps to Reproduce:

1.Login to managed platform .
2.Select the 'Sudoers' resource.
3.Select the 'Configure' tab.
4. Click on 'Edit' button.
5. Click on 'Add New' button.
6. Enter 
     User/Group : testboy
     Host/Alias : ALL
7. Uncheck the check box for following fields and keep the fields blank.
    Command
    Run as user
    Tag Specification
8. Click on 'OK' button.
9. Click on 'Save' button.
10. The configuration history sub tab displays the status as 'Failure'.
  
Actual results:

The configuration history sub tab displays the status as 'Failure'. Clicking on 'Failure' link displays below stack trace:

java.lang.RuntimeException%3A%20File%20%22/etc/sudoers/error/path%22%3A/files/etc/sudoers/spec/host_groupFile%20%22/etc/sudoers/error/lens%22%3A/usr/share/augeas/lenses/dist/sudoers.aug%3A451.18-452.45File%20%22/etc/sudoers/error/message%22%3AFailed%20to%20match%20%20%20%20%20%7B%20/host/%20%3D%20/%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D%5B%5E%01-%04%0A%23%2C%3A%3D%5D*%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D%7C%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D/%20%7D%28%7B%20/host/%20%3D%20/%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D%5B%5E%01-%04%0A%23%2C%3A%3D%5D*%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D%7C%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D/%20%7D%29*%7B%20/command/%20%3D%20/%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D%5B%5E%01-%04%0A%23%2C%3A%3D%5D*%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D%7C%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D/%20%7D%28%7B%20/command/%20%3D%20/%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D%5B%5E%01-%04%0A%23%2C%3A%3D%5D*%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D%7C%5B%5E%01-%04%09%0A%20%23%2C%3A%3D%5C%5D/%20%7D%29*%20%20with%20tree%20%20%20%20%7B%20%22host%22%20%3D%20%22rajan%22%20%7D%20%7B%20%22command%22%20%7Dat%20org.rhq.plugins.augeas.AugeasConfigurationComponent.saveConfigurationFiles%28AugeasConfigurationComponent.java%3A612%29at%20org.rhq.plugins.augeas.AugeasConfigurationComponent.updateResourceConfiguration%28AugeasConfigurationComponent.java%3A174%29at%20sun.reflect.NativeMethodAccessorImpl.invoke0%28Native%20Method%29at%20sun.reflect.NativeMethodAccessorImpl.invoke%28NativeMethodAccessorImpl.java%3A39%29at%20sun.reflect.DelegatingMethodAccessorImpl.invoke%28DelegatingMethodAccessorImpl.java%3A25%29at%20java.lang.reflect.Method.invoke%28Method.java%3A597%29at%20org.rhq.core.pc.inventory.ResourceContainer%24ComponentInvocationThread.call%28ResourceContainer.java%3A525%29at%20java.util.concurrent.FutureTask%24Sync.innerRun%28FutureTask.java%3A303%29at%20java.util.concurrent.FutureTask.run%28FutureTask.java%3A138%29at%20java.util.concurrent.ThreadPoolExecutor%24Worker.runTask%28ThreadPoolExecutor.java%3A886%29at%20java.util.concurrent.ThreadPoolExecutor%24Worker.run%28ThreadPoolExecutor.java%3A908%29at%20java.lang.Thread.run%28Thread.java%3A619%29Caused%20by%3A%20net.augeas.AugeasException%3A%20save%20failedat%20net.augeas.Augeas.processLastCall%28Augeas.java%3A396%29at%20net.augeas.Augeas.save%28Augeas.java%3A338%29at%20org.rhq.plugins.augeas.AugeasConfigurationComponent.saveConfigurationFiles%28AugeasConfigurationComponent.java%3A610%29...%2011%20more

Expected results:
There should be a user alert/message.

Additional info:
Comment 1 wes hayutin 2010-02-16 11:53:35 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 11:58:51 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Corey Welton 2010-10-05 09:08:26 EDT
Lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.